Multivariate Pattern Analysis in Python

# mvpa2.clfs.transerror.Collectable

class `mvpa2.clfs.transerror.``Collectable`(value=None, name=None, doc=None)

  Collection element.

  A named single item container that allows for type, or property checks of an assigned value, and also offers utility functionality.

  Attributes

  `name` |
  `value` |

  Parameters:

  value : arbitrary (see derived implementations)

  > The actual value of this attribute.

  name : str

  > Name of the collectable under which it should be available in its respective collection.

  doc : str

  > Documentation about the purpose of this collectable.

  Attributes

  `name` |
  `value` |

  `name`
  `value`